%global momorel 1

Summary: 	Next generation filemanager and SMB network navigator for XFce4
Name: 		xffm
Version: 	4.2.1
Release: 	%{momorel}m
License:	GPL
URL: 		http://www.xfce.org/
Source0: 	http://www.xfce.org/archive/xfce-%{version}/src/%{name}-%{version}.tar.gz
NoSource:       0
Group: 		Applications/File
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	dbh >= 1.0
BuildRequires: 	glib-devel >= 2.4.0
BuildRequires: 	gtk+-devel >= 2.4.0
BuildRequires:	libxfce4mcs-devel >= %{version}
BuildRequires:	libxfce4util-devel >= %{version}
BuildRequires:	libxfcegui4-devel >= %{version}
BuildRequires:	xfce-mcs-manager-devel >= %{version}
BuildRequires:	libxml2-devel >= 2.6.8
BuildRequires:	pkgconfig
BuildRequires:	desktop-file-utils
Requires:	dbh >= 1.0.18
Requires:	glib >= 2.4.0
Requires:	gtk+ >= 2.4.0
Requires:	libxfce4mcs >= %{version}
Requires:	libxfce4util >= %{version}
Requires:	libxfcegui4 >= %{version}
Requires:	libxml2 >= 2.6.8

%description
xffm is a filemanager and SMB network navigator for XFce4.

%prep
%setup -q 

%build
%configure
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} mandir=%{_mandir}

# install desktop file (revise Xfdiff.desktop)
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications \
  --add-only-show-in XFCE \
  %{buildroot}%{_datadir}/applications/Xfdiff.desktop

# install desktop file (revise Xffstab.desktop)
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications \
  --add-only-show-in XFCE \
  %{buildroot}%{_datadir}/applications/Xffstab.desktop

# install desktop file (revise Xfmime_edit.desktop)
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications \
  --add-only-show-in XFCE \
  %{buildroot}%{_datadir}/applications/Xfmime_edit.desktop

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README TODO ChangeLog NEWS INSTALL COPYING AUTHORS
%{_bindir}/*
%{_libdir}/lib*
%{_libdir}/pkgconfig/*
%{_libdir}/xfce4/mcs-plugins/*
%{_libdir}/xfce4/xffm/*
%{_datadir}/xffm/*
%{_datadir}/locale/*/*/*
%{_datadir}/xfce4/*
%{_datadir}/icons/*/*/*/*/*
%{_datadir}/applications/*
%{_mandir}/*/*

%changelog
* Thu Mar 17 2005 TABUCHI Takaaki <tab@momonga-linux.org>      
- (4.2.1-1m)                                                   
- Xfce 4.2.1

* Mon Feb 14 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.2.0-2m)
- revise desktop files
- BuildRequires: desktop-file-utils

* Mon Jan 17 2005 TABUCHI Takaaki <tab@momonga-linux.org>      
- (4.2.0-1m)                                                   
- Xfce 4.2

* Sat Dec 25 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.1.99.3-1m)
- Xfce 4.2-RC3

* Tue Dec 14 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.1.99.2-1m)
- Xfce 4.2-RC2

* Mon Nov 15 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.1.99.1-1m)
- Xfce 4.2-RC1

* Mon Nov  1 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.1.91-1m)
- Xfce 4.2BETA2

* Thu Oct 28 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.1.90-1m)
- update to 4.1.90

* Thu Jul 15 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.0.6-1m)
- minor bugfixes

* Sun Apr 18 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (4.0.5-1m)
- version update to 4.0.5.

* Sun Apr 11 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (4.0.4-3m)
- rebuild against for gtk+-2.4.0

* Sat Apr 10 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (4.0.4-2m)
- rebuild against for libxml2-2.6.8
- rebuild against for glib-2.4.0

* Thu Mar 11 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.0.4-1m)

* Sun Jan 11 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.0.3-1m)
- version up to 4.0.3

* Mon Dec 22 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.0.2-1m)
- version up to 4.0.2

* Mon Dec 01 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.0.1-1m)
- version up to 4.0.1

* Fri Sep 26 2003 Seinosuke Kaneda <kaneda@momonga-linux.org>
- (4.0.0-1m)
- version up
- fix BuildRoot

* Sat Sep 13 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (3.99.4-1m)
- XFce4 RC4 release
